org.h2.jdbc

## Enum JdbcLob.State

- java.lang.Object
- - java.lang.Enum<JdbcLob.State>
  - - org.h2.jdbc.JdbcLob.State

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<JdbcLob.State>
  Enclosing class:
    JdbcLob

      public static enum JdbcLob.State
      extends java.lang.Enum<JdbcLob.State>

  State of the object.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOSED` Object is closed.
    `NEW` New object without a value.
    `SET_CALLED` One of setter methods is invoked, but stream is not closed yet.
    `WITH_VALUE` A value is set.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JdbcLob.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JdbcLob.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEW

          public static final JdbcLob.State NEW

      New object without a value.

    - #### SET_CALLED

          public static final JdbcLob.State SET_CALLED

      One of setter methods is invoked, but stream is not closed yet.

    - #### WITH_VALUE

          public static final JdbcLob.State WITH_VALUE

      A value is set.

    - #### CLOSED

          public static final JdbcLob.State CLOSED

      Object is closed.

  - ### Method Detail

    - #### values

          public static JdbcLob.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JdbcLob.State c : JdbcLob.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JdbcLob.State valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null